Documentation menu

API Reference

Server Config Resource

POST /api/plugin/config/publish

Publish

Request body

application/json
{
  "group": "string",
  "namespace": "string",
  "doc": {
    "empty": false,
    "valueNode": false,
    "containerNode": false,
    "missingNode": false,
    "array": false,
    "object": false,
    "nodeType": "ARRAY",
    "pojo": false,
    "number": false,
    "integralNumber": false,
    "floatingPointNumber": false,
    "short": false,
    "int": false,
    "long": false,
    "float": false,
    "double": false,
    "bigDecimal": false,
    "bigInteger": false,
    "textual": false,
    "boolean": false,
    "null": false,
    "binary": false
  }
}

Responses

  • 200 OK
  • 400 Bad Request

Request

~
curl -X POST https://api.hivescale.dev/api/plugin/config/publish \
  -H "X-Hive-Api-Key: $HIVE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"group":"string","namespace":"string","doc":{"empty":false,"valueNode":false,"containerNode":false,"missingNode":false,"array":false,"object":false,"nodeType":"ARRAY","pojo":false,"number":false,"integralNumber":false,"floatingPointNumber":false,"short":false,"int":false,"long":false,"float":false,"double":false,"bigDecimal":false,"bigInteger":false,"textual":false,"boolean":false,"null":false,"binary":false}}'
HttpClient client = HttpClient.newHttpClient();

String body = "{\"group\":\"string\",\"namespace\":\"string\",\"doc\":{\"empty\":false,\"valueNode\":false,\"containerNode\":false,\"missingNode\":false,\"array\":false,\"object\":false,\"nodeType\":\"ARRAY\",\"pojo\":false,\"number\":false,\"integralNumber\":false,\"floatingPointNumber\":false,\"short\":false,\"int\":false,\"long\":false,\"float\":false,\"double\":false,\"bigDecimal\":false,\"bigInteger\":false,\"textual\":false,\"boolean\":false,\"null\":false,\"binary\":false}}";

HttpRequest request = HttpRequest.newBuilder()
    .uri(URI.create("https://api.hivescale.dev/api/plugin/config/publish"))
    .header("X-Hive-Api-Key", apiKey)
    .header("Content-Type", "application/json")
    .method("POST", HttpRequest.BodyPublishers.ofString(body))
    .build();

HttpResponse<String> response =
    client.send(request, HttpResponse.BodyHandlers.ofString());
POST /api/plugin/config/register

Register

Request body

application/json
{
  "group": "string",
  "namespace": "string",
  "defaultDoc": {
    "empty": false,
    "valueNode": false,
    "containerNode": false,
    "missingNode": false,
    "array": false,
    "object": false,
    "nodeType": "ARRAY",
    "pojo": false,
    "number": false,
    "integralNumber": false,
    "floatingPointNumber": false,
    "short": false,
    "int": false,
    "long": false,
    "float": false,
    "double": false,
    "bigDecimal": false,
    "bigInteger": false,
    "textual": false,
    "boolean": false,
    "null": false,
    "binary": false
  }
}

Responses

  • 200 OK
  • 400 Bad Request

Request

~
curl -X POST https://api.hivescale.dev/api/plugin/config/register \
  -H "X-Hive-Api-Key: $HIVE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"group":"string","namespace":"string","defaultDoc":{"empty":false,"valueNode":false,"containerNode":false,"missingNode":false,"array":false,"object":false,"nodeType":"ARRAY","pojo":false,"number":false,"integralNumber":false,"floatingPointNumber":false,"short":false,"int":false,"long":false,"float":false,"double":false,"bigDecimal":false,"bigInteger":false,"textual":false,"boolean":false,"null":false,"binary":false}}'
HttpClient client = HttpClient.newHttpClient();

String body = "{\"group\":\"string\",\"namespace\":\"string\",\"defaultDoc\":{\"empty\":false,\"valueNode\":false,\"containerNode\":false,\"missingNode\":false,\"array\":false,\"object\":false,\"nodeType\":\"ARRAY\",\"pojo\":false,\"number\":false,\"integralNumber\":false,\"floatingPointNumber\":false,\"short\":false,\"int\":false,\"long\":false,\"float\":false,\"double\":false,\"bigDecimal\":false,\"bigInteger\":false,\"textual\":false,\"boolean\":false,\"null\":false,\"binary\":false}}";

HttpRequest request = HttpRequest.newBuilder()
    .uri(URI.create("https://api.hivescale.dev/api/plugin/config/register"))
    .header("X-Hive-Api-Key", apiKey)
    .header("Content-Type", "application/json")
    .method("POST", HttpRequest.BodyPublishers.ofString(body))
    .build();

HttpResponse<String> response =
    client.send(request, HttpResponse.BodyHandlers.ofString());
GET /api/plugin/config/{group}/{namespace}

Get

Parameters

  • group string path required
  • namespace string path required

Responses

  • 200 OK

Request

~
curl -X GET https://api.hivescale.dev/api/plugin/config/{group}/{namespace} \
  -H "X-Hive-Api-Key: $HIVE_API_KEY"
HttpClient client = HttpClient.newHttpClient();

HttpRequest request = HttpRequest.newBuilder()
    .uri(URI.create("https://api.hivescale.dev/api/plugin/config/{group}/{namespace}"))
    .header("X-Hive-Api-Key", apiKey)
    .method("GET", HttpRequest.BodyPublishers.noBody())
    .build();

HttpResponse<String> response =
    client.send(request, HttpResponse.BodyHandlers.ofString());